package com.lutao.cloud.common.core.kafka;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Accessors(chain = true)
public class CloudMessage implements Serializable{

    private static final long serialVersionUID = 8960918892403582806L;

    /**
     * SINGLE_MESSAGE 一对一   ROLE_GROUP_MESSAGE  根据角色群发
     *
     */
//    @ApiModelProperty(value="消息命令")
//    private String command;

    /**
     * 0 未读   1已读
     */
    @ApiModelProperty(value="0 未读   1已读   2删除")
    private Integer messageStatus;


    /**
     * 0 待处理  1已处理
     */
    @ApiModelProperty(value="0 待处理  1已处理")
    private Integer dealStatus;

    /**
     * 收件人uid
     */
    @ApiModelProperty(value="收件人uid")
    private Integer receiveBy;

    /**
     * 发送时间
     */
    @ApiModelProperty(value="发送时间")
    private LocalDateTime createTime;

    /**
     * 收件人名字
     */
    @ApiModelProperty(value="收件人名字")
    private String receiveUser;

    /**
     * 类型名字
     */
    @ApiModelProperty(value="数据类型名字")
    private String typeName;

//    /**
//     * 发件人uid
//     */
//    @ApiModelProperty(value="发件人uid")
//    private Integer sendBy;
//
//    /**
//     * 发件人名字
//     */
//    @ApiModelProperty(value="发件人名字")
//    private String sendUser;


    /**
     * 消息等级
     */
    @ApiModelProperty(value="消息等级 0 普通  1重要  2紧急")
    private Integer messageLevel;

//    private Integer companyId;

//    private Integer deptId;
//
//    private Integer tenantId;

    /**
     * 标题
     */
    @ApiModelProperty(value="标题")
    private String title;

    /**
     * 类型id
     */
    @ApiModelProperty(value="消息类型id")
    private Integer messageTypeId;

    /**
     * 内容
     */
    @ApiModelProperty(value="内容")
    private String content;

//    /**
//     * 外部关联id
//     */
//    @ApiModelProperty(value="外部关联id")
//    private Integer outId;

//    /**
//     * server
//     */
//    @ApiModelProperty(value="server")
//    private String server;

//    /**
//     * server
//     */
//    @ApiModelProperty(value="服务名称")
//    private String serverName;

    /**
     * 扩展信息
     */
    @ApiModelProperty(value="扩展信息")
    private String extend;

//    @ApiModelProperty(value="web路由")
//    private String webRoute;

//    @ApiModelProperty(value="数据类型id")
//    private Integer typeId;

//    @ApiModelProperty(value="群发的角色code")
//    private String roleCode;


}
