

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.lutao.annotate.Validation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 专业设备
 *
 * @author guoyc
 * @date 2023-07-20 10:58:39
 */
@Data
@TableName("equipment_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "专业设备")
public class EquipmentInfo extends Model<EquipmentInfo> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 原始id
     */
    @ApiModelProperty(value="原始id")
    @Validation(message = "equipment_info表{id}不能为空")
    private String originId;

    /**
     * 设施名称
     */
    @ApiModelProperty(value="设施名称")
    @Validation(message = "equipment_info表{equip_name}不能为空")
    private String equipName;

    /**
     * 设备位号
     */
    @ApiModelProperty(value="设备位号")
    @Validation(message = "equipment_info表{equip_code}不能为空")
    private String equipCode;

    /**
     * 设备类型
     */
    @ApiModelProperty(value="设备类型")
    @Validation(message = "equipment_info表{equip_type}不能为空")
    private String equipType;

    /**
     * 检测类型
     */
    @ApiModelProperty(value="检测类型")
    @Validation(message = "equipment_info表{inspection_type}不能为空")
    private String inspectionType;

    /**
     * 检测内容
     */
    @ApiModelProperty(value="检测内容")
    @Validation(message = "equipment_info表{inspection_description}不能为空")
    private String inspectionDescription;

    /**
     * 定检日期
     */
    @ApiModelProperty(value="定检日期")
    @Validation(message = "equipment_info表{periodic_inspection_date}不能为空")
    private LocalDateTime periodicInspectionDate;

    /**
     * 年检日期
     */
    @ApiModelProperty(value="年检日期")
    @Validation(message = "equipment_info表{year_inspection_date}不能为空")
    private LocalDateTime yearInspectionDate;

    /**
     * 下次定检日期
     */
    @ApiModelProperty(value="下次定检日期")
    @Validation(message = "equipment_info表{next_periodic_inspection_date}不能为空")
    private LocalDateTime nextPeriodicInspectionDate;

    /**
     * 下次年检日期
     */
    @ApiModelProperty(value="下次年检日期")
    @Validation(message = "equipment_info表{next_year_inspection_date}不能为空")
    private LocalDateTime nextYearInspectionDate;

    /**
     * 系统平台id
     */
    @ApiModelProperty(value="系统平台id")
    private String pfId;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    @Validation(message = "equipment_info表{platform_code}不能为空")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    /**
     * 平台id
     */
    @ApiModelProperty(value="平台id")
    private String platformId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    @Validation(message = "equipment_info表{create_date}不能为空")
    private LocalDateTime createDate;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value="创建人姓名")
    @Validation(message = "equipment_info表{create_by}不能为空")
    private String createBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value="修改时间")
    @Validation(message = "equipment_info表{update_date}不能为空")
    private LocalDateTime updateDate;

    /**
     * 修改人
     */
    @ApiModelProperty(value="修改人")
    @Validation(message = "equipment_info表{update_by}不能为空")
    private String updateBy;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
