

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.lutao.annotate.Validation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 弃井报告信息数据
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Data
@TableName("giveup_mine_report")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "弃井报告信息数据")
public class GiveupMineReport extends Model<GiveupMineReport> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 原始id
     */
    @ApiModelProperty(value="原始id")
    @Validation(message = "giveup_mine_report表{id}不能为空")
    private String originId;

    /**
     * 井编码
     */
    @ApiModelProperty(value="井编码")
    @Validation(message = "giveup_mine_report表{well_code}不能为空")
    private String wellCode;

    /**
     * 提出时间
     */
    @ApiModelProperty(value="提出时间")
    //@Validation(message = "giveup_mine_report表{submit_time}不能为空")
    private LocalDateTime submitTime;

    /**
     * 弃井前报告
     */
    @ApiModelProperty(value="弃井前报告")
    @Validation(message = "giveup_mine_report表{submit_report}不能为空")
    private String submitReport;

    /**
     * 完成时间
     */
    @ApiModelProperty(value="完成时间")
    //@Validation(message = "giveup_mine_report表{complete_time}不能为空")
    private LocalDateTime completeTime;

    /**
     * 弃井后报告
     */
    @ApiModelProperty(value="弃井后报告")
    @Validation(message = "giveup_mine_report表{complete_reprot}不能为空")
    private String completeReprot;

    /**
     * 提交人
     */
    @ApiModelProperty(value="提交人")
    @Validation(message = "giveup_mine_report表{report_person}不能为空")
    private String reportPerson;

    /**
     * 系统平台id
     */
    @ApiModelProperty(value="系统平台id")
    private String pfId;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    @Validation(message = "giveup_mine_report表{platform_code}不能为空")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    /**
     * 平台id
     */
    @ApiModelProperty(value="平台id")
    private String platformId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value="创建人姓名")
    private String createBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;

    /**
     * 修改人
     */
    @ApiModelProperty(value="修改人")
    private String updateBy;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
