

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.lutao.annotate.Validation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 高风险作业信息数据
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Data
@TableName("high_risk_operation")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "高风险作业信息数据")
public class HighRiskOperation extends Model<HighRiskOperation> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 原始id
     */
    @ApiModelProperty(value="原始id")
    @Validation(message = "high_risk_operation表{id}不能为空")
    private String originId;

    /**
     * 作业类型
     */
    @ApiModelProperty(value="作业类型")
    @Validation(message = "high_risk_operation表{task_type}不能为空")
    private String taskType;

    /**
     * 作业人数
     */
    @ApiModelProperty(value="作业人数")
    @Validation(message = "high_risk_operation表{task_number}不能为空")
    private Integer taskNumber;

    /**
     * 作业开始时间
     */
    @ApiModelProperty(value="作业开始时间")
    @Validation(message = "high_risk_operation表{task_begin_time}不能为空")
    private LocalDateTime taskBeginTime;

    /**
     * 作业结束时间
     */
    @ApiModelProperty(value="作业结束时间")
    @Validation(message = "high_risk_operation表{task_end_time}不能为空")
    private LocalDateTime taskEndTime;

    /**
     * 作业单位
     */
    @ApiModelProperty(value="作业单位")
    @Validation(message = "high_risk_operation表{task_unit}不能为空")
    private String taskUnit;

    /**
     * 负责人
     */
    @ApiModelProperty(value="负责人")
    @Validation(message = "high_risk_operation表{major_person}不能为空")
    private String majorPerson;

    /**
     * 有效期止
     */
    @ApiModelProperty(value="有效期止")
    private LocalDateTime expirationDate;

    /**
     * 证书编号
     */
    @ApiModelProperty(value="证书编号")
    private String personQualificationId;

    /**
     * 作业内容
     */
    @ApiModelProperty(value="作业内容")
    private String taskContent;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value="创建人姓名")
    private String createBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;

    /**
     * 修改人
     */
    @ApiModelProperty(value="修改人")
    private String updateBy;

    /**
     * 系统平台id
     */
    @ApiModelProperty(value="系统平台id")
    private String pfId;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    @Validation(message = "high_risk_operation表{platform_code}不能为空")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    /**
     * 平台id
     */
    @ApiModelProperty(value="平台id")
    private String platformId;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
