package com.lutao.cloud.iot.mqtt.core.server.support;


import com.lutao.cloud.iot.mqtt.core.server.event.IMqttConnectStatusListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.tio.core.ChannelContext;

/**
 * 默认的链接状态监听
 *

 */
public class DefaultMqttConnectStatusListener implements IMqttConnectStatusListener {
	private static final Logger logger = LoggerFactory.getLogger(DefaultMqttConnectStatusListener.class);

	@Override
	public void online(ChannelContext context, String clientId) {
		logger.info("Mqtt clientId:{} online.", clientId);
	}

	@Override
	public void offline(ChannelContext context, String clientId) {
		logger.info("Mqtt clientId:{} offline.", clientId);
	}
}
