package com.lutao.cloud.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.lutao.cloud.common.security.component.CloudAuth2ExceptionSerializer;
import org.springframework.http.HttpStatus;

/**

 * @date 2018/7/8
 */
@JsonSerialize(using = CloudAuth2ExceptionSerializer.class)
public class ServerErrorException extends CloudAuth2Exception{

	public ServerErrorException(String msg, Throwable t){
		super(msg);
	}

	@Override
	public String getOAuth2ErrorCode(){
		return "server_error";
	}

	@Override
	public int getHttpErrorCode(){
		return HttpStatus.INTERNAL_SERVER_ERROR.value();
	}

}
