package com.lutao.cloud.common.swagger.annotation;

import com.lutao.cloud.common.swagger.support.SwaggerProperties;
import com.lutao.cloud.common.swagger.config.GatewaySwaggerAutoConfiguration;
import com.lutao.cloud.common.swagger.config.SwaggerAutoConfiguration;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Import;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

import java.lang.annotation.*;

/**

 * @date 2020/10/2 开启 swagger
 */
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@EnableSwagger2
@EnableConfigurationProperties(SwaggerProperties.class)
@Import({ SwaggerAutoConfiguration.class, GatewaySwaggerAutoConfiguration.class })
public @interface EnableCloudSwagger2 {

}
