package com.lutao.cloud.consume.mapper;

import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.entity.CollectLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 数据收集mapper
 *
 * @author yx
 * @date 2023/08/21
 */
@Mapper
public interface CollectLogMapper extends CloudBaseMapper<CollectLog> {

    /**
     * 更新消费日志
     * @param requestId
     * @param appId
     * @param command
     * @param consumeNumber
     * @param tableName
     * @return boolean
     */
    boolean updateConsumeLogNumber(@Param("requestId") String requestId,
                                   @Param("appId") String appId,
                                   @Param("command") String command,
                                   @Param("consumeNumber") Integer consumeNumber,
                                   @Param("tableName") String tableName);
}
