/**
 * Copyright (c) 2022 cloud Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.lutao.cloud.gateway;

import com.lutao.cloud.common.gateway.annotation.EnableCloudDynamicRoute;
import com.lutao.cloud.common.swagger.annotation.EnableCloudSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**

 * @date 2018年06月21日 网关应用
 */
@EnableCloudSwagger2
@EnableCloudDynamicRoute
@EnableDiscoveryClient
@SpringBootApplication
public class CloudGatewayApplication{
	public static void main(String[] args){
		SpringApplication.run(CloudGatewayApplication.class, args);
	}

}
