package com.lutao.cloud.oil.pojo.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 在线率
 *
 * @author yx
 * @date 2024/04/09
 */
@TableName("tag_online_rate")
@ApiModel(value = "在线率")
@Data
@EqualsAndHashCode(callSuper = true)
public class TagOnlineRate extends Model<TagOnlineRate> {
    private static final long serialVersionUID = 5031339270274024790L;

    @ApiModelProperty(value = "id")
    @TableId
    private Integer id;

    @ApiModelProperty(value = "油商id")
    private String appId;

    @ApiModelProperty(value = "油商")
    private String appName;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司")
    private String operatingCompany;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "平台code")
    private String platformCode;

    @ApiModelProperty(value = "点位名称")
    private String tagName;

    @ApiModelProperty(value = "点位code")
    private String tagCode;

    @ApiModelProperty(value = "点位类型")
    private String tagType;

    @ApiModelProperty(value = "点位id")
    private String tagId;

    @ApiModelProperty(value = "累计收到次数")
    private Integer receiveCount;

    @ApiModelProperty(value = "应接收次数")
    private Integer shouldReceiveCount;

    @ApiModelProperty(value = "在线率百分比")
    private String onlineRate;

    @ApiModelProperty(value = "开始计算时间")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "结束计算时间")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "四类-火灾、可燃、有毒、温压液")
    private String resourceTable;

    @ApiModelProperty(value = "数据日期")
    private String dataDate;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
