package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 设备类型参数
 *
 * @author yx
 * @date 2023/08/18
 */
@ApiModel(value = "设备类型参数")
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class EquipTypeParam extends BaseParam implements Serializable {
    private static final long serialVersionUID = 6874435417332885671L;

    @ApiModelProperty(value = "设备类型")
    private Integer equipType;

    @ApiModelProperty(value = "检查类型，1.年检，2.定检")
    private Integer checkType;

    @ApiModelProperty(value = "近三个月需年检/定检-flag-1/2")
    private Integer recentThreeMonthFlag;

    @ApiModelProperty(value = "已年检/定检-flag-1/2")
    private Integer yearInspectFlag;

    @ApiModelProperty(value = "即将过期年检/定检-flag-1/2")
    private Integer willExpireFlag;

    @ApiModelProperty(value = "已过期年检/定检-flag-1/2")
    private Integer expireFlag;


}
