package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 关键工艺参数监测预警参数
 *
 * @author yx
 * @date 2023/08/01
 */
@ApiModel(value = "关键工艺参数预警参数")
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class EquipmentTagParam extends BaseParam implements Serializable {
    private static final long serialVersionUID = -670542745251442470L;

    @ApiModelProperty(value = "全部：0，温度：2，压力：3，液位：5")
    private Integer paramType;

    @ApiModelProperty(value = "tag_code")
    private String tagCode;

    @ApiModelProperty(value = "开始日期")
    private LocalDate startDate;

    @ApiModelProperty(value = "结束日期")
    private LocalDate endDate;

    @ApiModelProperty(value = "趋势天数")
    private Integer trendDays;

    @ApiModelProperty(value = "报警类型 0.报警，1.高报，2.高高报，3.低报，4.低低报")
    private String alarmType;

    @ApiModelProperty(value = "报警状态 00以消警，01已报警")
    private String alarmStatus;
}
