package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 关键工艺参数监测预警
 *
 * @author yx
 * @date 2023/07/31
 */
@ApiModel(value = "关键工艺参数监测预警")
@Data
@Accessors(chain = true)
public class EquipmentTagAlarmVO implements Serializable {
    private static final long serialVersionUID = -6053646667622192201L;

    @ApiModelProperty(value = "(平台)设施")
    private String facilityName;

    @ApiModelProperty(value = "油气田")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司")
    private String operatingCompany;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "设备")
    private String equipName;

    @ApiModelProperty(value = "点位")
    private String equipmentCode;

    @ApiModelProperty(value = "监测值1:工艺参数类型：1 流量  2 温度 3 压力 4 电流 5 液位 ")
    private String tagType;

    @ApiModelProperty(value = "监测值2")
    private Double monitorValue;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "量程")
    private String limits;

    @ApiModelProperty(value = "报警时间")
    private LocalDateTime collectTime;

    @ApiModelProperty(value = "报警时长")
    private String alarmDuration;

    @ApiModelProperty(value = "报警类型 0.报警，1.高报，2.高高报，3.低报，4.低低报")
    private String alarmType;

    @ApiModelProperty(value = "状态，00以消警，01已报警")
    private String alarmStatus;

}
