package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 隐患和整改情况VO
 *
 * @author yx
 * @date 2023/07/26
 */
@ApiModel(value = "隐患和整改情况VO")
@Data
@Accessors(chain = true)
public class HiddenDangerRectificationVO implements Serializable {
    private static final long serialVersionUID = -9057445353859520105L;

    @ApiModelProperty(value = "高风险平台数量")
    private Long highRiskNumber;

    @ApiModelProperty(value = "较高风险平台数量")
    private Long mediumHighRiskNumber;

    @ApiModelProperty(value = "中风险平台数量")
    private Long mediumRisk;

    @ApiModelProperty(value = "低风险平台数量")
    private Long lowRisk;

    @ApiModelProperty(value = "未定级平台数量")
    private Long unclassifiedRisk;

    @ApiModelProperty(value = "总平台数量")
    private Long totalNumber;

    @ApiModelProperty(value = "总平台整改率")
    private Double totalRectifyRate;

    @ApiModelProperty(value = "高风险平台整改率")
    private Double highRiskRectifyRate;

    @ApiModelProperty(value = "较高风险平台整改率")
    private Double mediumHighRiskRectifyRate;

    @ApiModelProperty(value = "中风险平台整改率")
    private Double mediumRiskRectifyRate;

    @ApiModelProperty(value = "低风险平台整改率")
    private Double lowRiskRectifyRate;


}
