package com.lutao.cloud.oil.pojo.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 出海作业人员动态情况
 *
 * @author yx
 * @date 2023/07/25
 */
@ApiModel(value = "出海作业人员动态情况")
@Data
@Accessors(chain = true)
public class PersonGoSeaWorkStatusVO implements Serializable {
    private static final long serialVersionUID = -6594670648204897840L;


    @ApiModelProperty(value = "当日在平台人数")
    private Long inPlatformTodayCount;

    @ApiModelProperty(value = "当日登平台人数")
    private Long onPlatformTodayCount;

    @ApiModelProperty(value = "当日离平台人数")
    private Long leavePlatformToday;

    @ApiModelProperty(value = "当日在平台内部人员")
    private Integer inPlatformTodayInternalNumber;

    @ApiModelProperty(value = "当日在平台承包商人员")
    private Long inPlatformTodayContractorNumber;

    @ApiModelProperty(value = "当日在平台其他人员")
    private Long inPlatformTodayOtherNumber;

    @ApiModelProperty(value = "当日登平台内部人员数量")
    private Integer onPlatformTodayInternalNumber;

    @ApiModelProperty(value = "当日登平台承包商人员")
    private Integer onPlatformTodayContractorNumber;

    @ApiModelProperty(value = "当日登平台其他人员")
    private Long onPlatformTodayOtherNumber;

    @ApiModelProperty(value = "当日离平台内部人员")
    private Integer leavePlatformTodayInternalNumber;

    @ApiModelProperty(value = "当日离平台承包商人员")
    private Integer leavePlatformTodayContractorNumber;

    @ApiModelProperty(value = "当日离平台其他人员")
    private Long leavePlatformTodayOtherNumber;

}
