package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 大屏工艺报警
 *
 * @author yx
 * @date 2023/08/15
 */

@ApiModel(value = "大屏工艺参数预警")
@Data
@Accessors(chain = true)
public class ScreenTagAlarmVO implements Serializable {
    private static final long serialVersionUID = -6369090359893765401L;

    @ApiModelProperty(value = "油商名称")
    private String appName;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "设备")
    private String equipName;

    @ApiModelProperty(value = "类型：1 流量；2 温度；3 压力；4 有毒气体；5 可燃气体；6 火灾；7 电流")
    private String tagType;

    @ApiModelProperty(value = "监测值")
    private Double monitorValue;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "报警时间")
    private LocalDateTime alarmTime;

}
