package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 平台救生装备列表VO
 *
 * @author yx
 * @date 2023/08/17
 */
@ApiModel(value = "平台救生装备列表VO")
@Data
@Accessors(chain = true)
public class SeaPlatformEquipmentInfoVO implements Serializable {
    private static final long serialVersionUID = 8589281561347629277L;

    @ApiModelProperty(value = "油商")
    private String appName;

    @ApiModelProperty(value = "平台")
    private String platformName;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    /**
     * 生活区可供生活人数
     */
    @ApiModelProperty(value = "生活区可供生活人数")
    private Integer peopleLivingNumber;


    /**
     * 救生艇
     */
    @ApiModelProperty(value = "救生艇数量")
    private Integer lifeboatQuantity;

    /**
     * 救生筏
     */
    @ApiModelProperty(value = "救生筏数量")
    private Integer lifeRaftQuantity;
}
