

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.vo.ContractorStatisticVO;
import com.lutao.entity.ContractorManage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 承包商信息数据
 *
 * @author guoyc
 * @date 2023-07-20 10:58:39
 */
@Mapper
public interface ContractorManageMapper extends CloudBaseMapper<ContractorManage> {

    /**
     * 承包商统计
     *
     * @param page  页面
     * @param param 参数
     * @return {@link IPage}<{@link ContractorStatisticVO}>
     */
    IPage<ContractorStatisticVO> getContractorStatistic(Page page, @Param("param") BaseParam param);

}
