

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.vo.SeaPlatformVideoMonitorVO;
import com.lutao.entity.CriticalArea;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 关键区域信息
 *
 * @author guoyc
 * @date 2023-07-20 10:58:39
 */
@Mapper
public interface CriticalAreaMapper extends CloudBaseMapper<CriticalArea> {


    /**
     * 海上平台设施视频监控
     *
     * @param page  页面
     * @param param 参数
     * @return {@link IPage}<{@link SeaPlatformVideoMonitorVO}>
     */
    IPage<SeaPlatformVideoMonitorVO> getSeaPlatformVideoMonitor(Page page, @Param("param") BaseParam param);
}
