

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.param.ReportInformationParam;
import com.lutao.cloud.oil.pojo.vo.GiveupMineReportVO;
import com.lutao.entity.GiveupMineReport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 弃井报告信息数据
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Mapper
public interface GiveupMineReportMapper extends CloudBaseMapper<GiveupMineReport> {

    /**
     * 获取弃井报告信息列表
     *
     * @param page  第页
     * @param param param
     * @return {@link IPage}<{@link GiveupMineReportVO}>
     */
    IPage<GiveupMineReportVO> getGiveupMineReportList(Page page, @Param("param") ReportInformationParam param);
}
