

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.EquipmentTagParam;
import com.lutao.cloud.oil.pojo.vo.ProcessParametersTagVO;
import com.lutao.cloud.oil.pojo.vo.ProcessTagVO;
import com.lutao.entity.PerceptionMonitorInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 感知监测信息
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Mapper
public interface PerceptionMonitorInfoMapper extends CloudBaseMapper<PerceptionMonitorInfo> {

    List<PerceptionMonitorInfo> selectNewRecore(@Param("size") Integer recordSize);

    /**
     * 关键工艺参数检测预警--动态数据
     * @param page
     * @param param
     * @return {@link IPage}<{@link ProcessTagVO}>
     */
    IPage<ProcessTagVO> getProcessParamTag(Page page, @Param("param") EquipmentTagParam param);

    /**
     * 关键工艺参数检测预警--根据tag_code获取历史报警数据
     *
     * @param page  第页
     * @param param param
     * @return {@link IPage}<{@link ProcessTagVO}>
     */
    IPage<ProcessParametersTagVO> getPerceptionMonitorInfoByTagCode(Page page, @Param("param") EquipmentTagParam param);
}
