

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.PersonCertificateParam;
import com.lutao.cloud.oil.pojo.vo.PersonCertificateVO;
import com.lutao.entity.PersonCertificate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 人员资质证书
 *
 * @author guoyc
 * @date 2023-07-20 10:56:48
 */
@Mapper
public interface PersonCertificateMapper extends CloudBaseMapper<PersonCertificate> {

    /**
     * 五小证 到期预警下钻列表
     *
     * @param page page
     * @param param param
     * @return {@link MessageInfo}<{@link IPage}<{@link PersonCertificateVO}>>
     */
    IPage<PersonCertificateVO> getCertificateExpireWarningPage(Page page, @Param("param") PersonCertificateParam param);

    /**
     * 获取证书过期警告计数
     *
     * @param param param
     * @return {@link Long}
     */
    Long getCertificateExpireWarningCount(@Param("param") PersonCertificateParam param);
}
