

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.PersonGoSeaParam;
import com.lutao.cloud.oil.pojo.vo.PersonGoSeaDetailInformationVO;
import com.lutao.entity.PersonInInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 人员登平台动态信息
 *
 * @author guoyc
 * @date 2023-07-20 10:58:39
 */
@Mapper
public interface PersonInInfoMapper extends CloudBaseMapper<PersonInInfo> {


    /**
     * 出海人员详细信息
     *
     * @param page             页面
     * @param personGoSeaParam 人去海参数
     * @return {@link IPage}<{@link PersonGoSeaDetailInformationVO}>
     */
    IPage<PersonGoSeaDetailInformationVO> getPersonGoSeaDetailInformationPage(Page page, @Param("param")PersonGoSeaParam personGoSeaParam);
}
