

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.vo.*;
import com.lutao.entity.PlatformInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 平台详情
 *
 * @author guoyc
 * @date 2023-07-20 10:56:48
 */
@Mapper
public interface PlatformInfoMapper extends CloudBaseMapper<PlatformInfo> {

    List<PlatformInfoVO> selectByPlatformNameList(@Param("platformName")String platformName);

    /**
     * @param page
     * @param param
     * @return {@link IPage}<{@link MapDisplayVO}>
     */
    IPage<MapDisplayVO> selectMapDisplayList(Page page,@Param("param") BaseParam param);

    /**
     * 油商列表
     *
     * @return {@link List}<{@link AppInfoVO}>
     */
    List<AppInfoVO> selectAppInfo();

    /**
     * 通过油商id获取平台列表
     *
     * @param appId 应用程序id
     * @return {@link List}<{@link PlatformInfoVO}>
     */
    List<PlatformInfoVO> selectByAppId(@Param("appId") String appId);

    /**
     * 海上固定式平台人员定员和救生装备情况-列表
     *
     * @param param 参数
     * @param page  页面
     * @return {@link List}<{@link SeaPlatformEquipmentInfoVO}>
     */
    IPage<SeaPlatformEquipmentInfoVO> selectPlatformEquipInfo(Page page, @Param("param")BaseParam param);

    /**
     * 海上固定式平台人员定员和救生装备情况-统计
     *
     * @param baseParam
     * @return {@link SeaPlatformPersonAndEquipmentVO}
     */
    SeaPlatformPersonAndEquipmentVO getSeaPlatformPersonAndEquipmentVO(@Param("param")BaseParam baseParam);

    /**
     * 三家平台数量统计
     *
     * @param baseParam 基本参数
     * @return {@link List}<{@link PlatformInfoCountVO}>
     */
    List<PlatformInfoCountVO> selectPlatformInfoCount(@Param("param")BaseParam baseParam);
}
