package com.lutao.cloud.admin.mapper;

import com.lutao.cloud.admin.api.entity.SysMenu;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 菜单权限表 Mapper 接口
 * </p>
 *

 * @since 2017-10-29
 */
@Mapper
public interface SysMenuMapper extends CloudBaseMapper<SysMenu>{

	/**
	 * 通过角色编号查询菜单
	 * @param roleId 角色ID
	 * @return
	 */
	List<SysMenu> listMenusByRoleId(Integer roleId);

	/**
	 * 通过角色ID查询权限
	 * @param roleIds Ids
	 * @return
	 */
	List<String> listPermissionsByRoleIds(String roleIds);

}
