package com.lutao.cloud.admin.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.admin.api.dto.UserDTO;
import com.lutao.cloud.admin.api.entity.SysUser;
import com.lutao.cloud.admin.api.vo.UserByIdVO;
import com.lutao.cloud.admin.api.vo.UserPageVo;
import com.lutao.cloud.admin.api.vo.UserVO;
import com.lutao.cloud.common.data.datascope.DataScope;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户表 Mapper 接口
 * </p>
 *

 * @since 2017-10-29
 */
@Mapper
public interface SysUserMapper extends CloudBaseMapper<SysUser>{

	/**
	 * 通过用户名查询用户信息（含有角色信息）
	 * @param username 用户名
	 * @return userVo
	 */
	UserVO getUserVoByUsername(String username);

		UserVO	getUserPermission(String username);


	/**
	 * 分页查询用户信息（含角色）
	 * @param page 分页
	 * @param userDTO 查询参数
	 * @param dataScope
	 * @return list
	 */
	IPage<UserVO> getUserVosPage(Page page, @Param("query") UserDTO userDTO, DataScope dataScope);

	/**
	 * 通过ID查询用户信息
	 * @param id 用户ID
	 * @return userVo
	 */
	UserVO getUserVoById(Integer id);

	/**
	 * 通过用户id查询用户的信息和部门信息
	 * @param id
	 * @return
	 */
//    UserByIdVO getPersonInfo(@Param("username")String username);
	UserByIdVO getPersonInfo(@Param("id")Integer id);
	/**
	 * 查询用户列表
	 * @param userDTO 查询条件
	 * @param dataScope 数据权限声明
	 * @return
	 */
	List<UserVO> selectVoListByScope(@Param("query") UserDTO userDTO, DataScope dataScope);

	IPage<UserPageVo>	selectUserAll(Page page);


}
