# 通过token反查用户信息


### 通过token查询当前用户信息
#### 接口地址和方法
``
  GET  http://111.198.38.3:9999/auth/token/check
``  
#### header要求
`
Authorization:  token_type {token}
`
`举例: Authorization: Bearer 015e6298-6c58-48ed-a80e-60f5ab628013`

~~~
### 通过token反查用户信息
GET http://111.198.38.3:9999/auth/token/check
Content-Type: application/json
Authorization: Bearer 015e6298-6c58-48ed-a80e-60f5ab628013
~~~

#### 返回结果
~~~json
{
  "code": 0,
  "msg": null,
  "data": {
    "userId": 2,
    "authorities": [
      "sys_user_del",
      "sys_dept_del",
      "sys_menu_add",
      "sys_role_add",
      "sys_user_edit",
      "sys_dept_edit",
      "sys_menu_del",
      "sys_menu_edit",
      "sys_role_edit",
      "sys_role_perm",
      "sys_user_add",
      "sys_dept_add",
      "sys_role_del"
    ],
    "nickname": "sysadmin",
    "username": "sysadmin"
  }
}
~~~

| 字段          | 数据类型   | 备注    | 是否为空 |
|-------------|:-------|:------|:-----|
| userId      | int    | 用户id  | N    |
| authorities | list   | 权限标识  | N    |
| username    | string | 登录用户名 | N    |
| nickname    | string | 真实姓名  | N    |

